org.richfaces.renderkit.html

## Class ControlsState

- java.lang.Object
- - org.richfaces.renderkit.html.ControlsState

-     public class ControlsState
      extends java.lang.Object

  Author:
    Nick Belaevski - nbelaevski@exadel.com

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ControlsState()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isControlsSeparatorRendered()`
    `boolean` | `isFastForwardEnabled()`
    `boolean` | `isFastForwardRendered()`
    `boolean` | `isFastRewindEnabled()`
    `boolean` | `isFastRewindRendered()`
    `boolean` | `isFirstEnabled()`
    `boolean` | `isFirstRendered()`
    `boolean` | `isLastEnabled()`
    `boolean` | `isLastRendered()`
    `boolean` | `isNextEnabled()`
    `boolean` | `isNextRendered()`
    `boolean` | `isPreviousEnabled()`
    `boolean` | `isPreviousRendered()`
    `void` | `setControlsSeparatorRendered(boolean controlsSeparatorRendered)`
    `void` | `setFastForwardEnabled(boolean fastForwardEnabled)`
    `void` | `setFastForwardRendered(boolean fastForwardRendered)`
    `void` | `setFastRewindEnabled(boolean fastRewindEnabled)`
    `void` | `setFastRewindRendered(boolean fastRewindRendered)`
    `void` | `setFirstEnabled(boolean firstEnabled)`
    `void` | `setFirstRendered(boolean firstRendered)`
    `void` | `setLastEnabled(boolean lastEnabled)`
    `void` | `setLastRendered(boolean lastRendered)`
    `void` | `setNextEnabled(boolean nextEnabled)`
    `void` | `setNextRendered(boolean nextRendered)`
    `void` | `setPreviousEnabled(boolean previousEnabled)`
    `void` | `setPreviousRendered(boolean previousRendered)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ControlsState

          public ControlsState()

  - ### Method Detail

    - #### isFirstRendered

          public boolean isFirstRendered()

    - #### setFirstRendered

          public void setFirstRendered(boolean firstRendered)

    - #### isFirstEnabled

          public boolean isFirstEnabled()

    - #### setFirstEnabled

          public void setFirstEnabled(boolean firstEnabled)

    - #### isLastRendered

          public boolean isLastRendered()

    - #### setLastRendered

          public void setLastRendered(boolean lastRendered)

    - #### isLastEnabled

          public boolean isLastEnabled()

    - #### setLastEnabled

          public void setLastEnabled(boolean lastEnabled)

    - #### isPreviousRendered

          public boolean isPreviousRendered()

    - #### setPreviousRendered

          public void setPreviousRendered(boolean previousRendered)

    - #### isPreviousEnabled

          public boolean isPreviousEnabled()

    - #### setPreviousEnabled

          public void setPreviousEnabled(boolean previousEnabled)

    - #### isNextRendered

          public boolean isNextRendered()

    - #### setNextRendered

          public void setNextRendered(boolean nextRendered)

    - #### isNextEnabled

          public boolean isNextEnabled()

    - #### setNextEnabled

          public void setNextEnabled(boolean nextEnabled)

    - #### isFastRewindRendered

          public boolean isFastRewindRendered()

    - #### setFastRewindRendered

          public void setFastRewindRendered(boolean fastRewindRendered)

    - #### isFastRewindEnabled

          public boolean isFastRewindEnabled()

    - #### setFastRewindEnabled

          public void setFastRewindEnabled(boolean fastRewindEnabled)

    - #### isFastForwardRendered

          public boolean isFastForwardRendered()

    - #### setFastForwardRendered

          public void setFastForwardRendered(boolean fastForwardRendered)

    - #### isFastForwardEnabled

          public boolean isFastForwardEnabled()

    - #### setFastForwardEnabled

          public void setFastForwardEnabled(boolean fastForwardEnabled)

    - #### isControlsSeparatorRendered

          public boolean isControlsSeparatorRendered()

    - #### setControlsSeparatorRendered

          public void setControlsSeparatorRendered(boolean controlsSeparatorRendered)

Copyright © 2013. All Rights Reserved.